//
//  UntuedCellPhoneHttpPostCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/7/1.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "UntuedCellPhoneHttpPostCmd.h"
#import "UntuedCellPhoneHttpPostResult.h"
static NSString *kActionUrl1 = @"/terminal/query";
@implementation UntuedCellPhoneHttpPostCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UntuedCellPhoneHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UntuedCellPhoneHttpPostResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpUntuedCellPhoneHttpPostCmd_filters = @"filters";
NSString *const kHttpUntuedCellPhoneHttpPostCmd_key = @"key";
NSString *const kHttpUntuedCellPhoneHttpPostCmd_opt = @"opt";
NSString *const kHttpUntuedCellPhoneHttpPostCmd_type = @"type";
NSString *const kHttpUntuedCellPhoneHttpPostCmd_value = @"value";
